/*
 * $Id: kern_time.h,v 1.1 2007/11/06 22:52:39 init Exp $
 */
#ifndef _SYS_KERN_TIME_H
#define _SYS_KERN_TIME_H

#include <sys/types.h>

#define HZ 		100

/*
 * rtcops is a RTC manipulation abstraction.
 * RTC device drivers should provide this information to kern_time.
 */
struct rtcops {
	void 		(*ro_sethz)(uint8_t hz); 	/* function to set timer hz */
	uint32_t	(*ro_getsec)(void);			/* get seconds past Epoch */
	uint32_t 	(*ro_getusec)(void); 		/* get microseconds */
};

/*
 * Every tick system will update time data.
 */
struct timedata {
	uint32_t 	td_seconds;	/* seconds past Epoch */
	/* XXX */
};

void 	sysclock_init(void);
void 	sysclock(void);

#endif /* not _SYS_KERN_TIME_H */

